Bug 86504 - HEAPWALKER: Support OQL based queries in HeapWalker similar to jhat
HEAPWALKER: Support OQL based queries in HeapWalker similar to jhat
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 with 1 vote (vote)
: 6.x
Assigned To: J Bachorik
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-04 18:01 UTC by _ sandipchitale
Modified: 2009-05-22 10:11 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ sandipchitale 2006-10-04 18:01:21 UTC
The jhat tool from JDK 6 has a nice ability to write arbitrary custom queries 
on the heap dump files using OQL+JavaScript.

Support similar capabilities in HeapWalker.
Comment 1 Jiri Sedlacek 2009-04-14 18:37:56 UTC
Available since 6.7 Milestone 2, significantly improved in 6.7 Milestone 3.
Comment 2 Jiri Sedlacek 2009-04-14 18:38:33 UTC
Marking as fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo